import { Field } from '@kano/kwc-blockly/blockly.js';
import '@kano/styles/color.js';
import '@kano/styles/typography.js';
import '../../../elements/kc-quote-picker.js';
import { IItemData } from './stamps-field.js';
export declare class FieldPicker extends Field {
    private domNode;
    private items;
    constructor(value: string, items: IItemData[], optValidator?: () => void);
    showEditor_(): void;
    position(): void;
    getItemForValue(value: string): import("./stamps-field.js").IItemDataResource | null;
    getOptions(): IItemData[];
    static widgetDispose_(): void;
}
